import React from 'react';
import { Link } from 'react-router-dom';
import styled from 'styled-components'
import Card from '@material-ui/core/Card';
import CardActions from '@material-ui/core/CardActions';

export default function TopicCard(props) {
  return (	
		<CardModel>
			<StyledLink to={"topico?colecao="+props.colecao_id+"&topico="+props.topico_obj.id}>
				<CardImage src={require(`../../public/${props.topico_obj.img}`)}/>
				<Title>
					<BoldTitle>
						{ props.topico_obj.pre_title }
					</BoldTitle>
					{ props.topico_obj.title } 
				</Title>
				<StyledCardActions>
					<StyledLink to={"topico?colecao="+props.colecao_id+"&topico="+props.topico_obj.id}>
						<Red><strong>Ver mais</strong></Red>
					</StyledLink>
				</StyledCardActions>
			</StyledLink>
		</CardModel>
  );
}

const Title=styled.h1`
	font-weight: 500;
	color: rgb(102, 102, 102);
	font-size: 0.9em;
	margin-left: 10px;
	margin-right: 10px;

	display: -webkit-box;
  -webkit-line-clamp: 3;
  -webkit-box-orient: vertical;
  overflow: hidden;
`
const CardModel=styled(Card)`
	position: relative;
	margin-bottom: 30px;
	padding: 0;
	height: 270px;
`
const CardImage=styled.img`
	width: 100%;
`
const BoldTitle=styled.span`
	font-weight: bold;
`
const StyledLink=styled(Link)`
	text-decoration: none !important;
	color: inherit !important;
`
const Red=styled.span`
	color: #e81f4f;
	font-size: 14px;
`
const StyledCardActions=styled(CardActions)`
	position: absolute;
	padding: 10px;
	left: 0;
	bottom: 0;
`
